Download CAmkES

Requirements

CAmkES on OKL4 3.0 requires:

  • OKL4 3.0. Available here
  • An appropriate cross-compiler and toolchain. See getting started for more details.
  • Appropriate hardware or emulator to run the resulting system. See getting started for more details.

CAmkES on OKL4 2.1 requires:

  • OKL4 2.1. Available here
  • An appropriate cross-compiler and toolchain. See getting started for more details.
  • Appropriate hardware or emulator to run the resulting system. See getting started for more details.

CAmkES Framework

This contains all the CAmkES tools, default connectors, and modifications to OKL4. See the getting started documentation for information on what to do with this.

For OKL4 3.0

For OKL4 2.1

CAmkES Applications

Tutorial examples

This is the code for the component systems presented in the tutorial.

FAT file system

These are examples of more complex components that implement a FAT file system server and a simple RAM-image based block device.